Subject: [manet] Re:Question: Scalalbe DSDV code in ns-2?

From: Jangeun Jun <[email-masked]>
Date: Sat, 1 Nov 2003 13:24:52 -0500 (EST)

Hello all,

Thank you very much for all of your comments. I really appreciate them.
As all of you pointed out, ns-2 will be much slower for a large
number of nodes and will take a long simulation time.
On top of it, ns-2's DSDV code has a critical limit that it cannot handle
more than 100 nodes. Actually, the latter is what I am really concerned
about. With this limit in DSDV code, there is no use of an enhanced version of
ns-2.
( But Valeri Naoumov's enhanced version of ns-2 will greatly help other
users who want fast and efficient simulation. Hopefully, it will become
available online soon. )

Therefore, I am now looking at Glomosim but it seems that Glomosim's DSDV
was ported from ns-2's DSDV. (ugh~~)
Maybe we should try using Glomosim's Bellman-Ford with some modification.

Regards,

-Jangeun Jun

> From: Kenneth Brayer <[email-masked]>
> To: Jangeun Jun <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked],
>         Mihail L Sichitiu <[email-masked]>
> Subject: Re: [manet] Question: Scalalbe DSDV code in ns-2?
>
> This is a multi-part message in MIME format.
> --------------080100030405040900010007
> Content-Type: text/plain; charset=us-ascii; format=flowed
> Content-Transfer-Encoding: 7bit
>
> Jangeun
>
> You have another problem. Mario Gerla of UCLA, CS Dept., gave a talk in
> a panel discussion at Milcom 2002 pointing out that ns-2 is very slow
> above a few hundred nodes. He suggested Qualnet as a simulator for large
> networks and ran a 1000 node example of I think LANMAR above AODV(?). It
> took minutes. He said ns-2 would run for like days(?). Mario can
> probably give you better info.
> Ken
>

> From: Val Naoumov <[email-masked]>
> Reply-To: [email-masked]
> Organization: ETH Zentrum
> To: [email-masked]
> Subject: Re: [manet] Question: Scalalbe DSDV code in ns-2? ANSWER: Scalable
>  ns-2.
>
> Kenneth is right - the main problem not in DSDV code to ns-2 but in ns-2
> itself.
>
> We modified ns-2 in order to improve performance results (runtime).
> Our modification of ns-2 is based on the idea of exploiting the limited
> interference of wireless communication. The modified simulator has
> simulated populations of up to 3000 nodes so far and works 2-20 times
> faster than the original version. The speedup depends on the number of
> nodes, the size of the simulation area and on the data traffic. The
> higher the number of nodes and the larger the simulation area, the
> better the runtime improvement (provided there exists sufficient data
> traffic).
>
> We presented the fast ns-2 in MSWiM 2003 paper:
> 	http://doi.acm.org/10.1145/940991.941001
>
> Valeri Naoumov
> --
> Institute of Computer Systems
> ETH Zurich
> Switzerland
> http://www.inf.ethz.ch/~naoumov
>

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet